Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## cascading.flow.hadoop
Enum HadoopCoGroupClosure.Spill

    java.lang.Object
      java.lang.Enum<HadoopCoGroupClosure.Spill>
          cascading.flow.hadoop.HadoopCoGroupClosure.Spill

All Implemented Interfaces:
  Serializable, Comparable<HadoopCoGroupClosure.Spill>

Enclosing class:
  HadoopCoGroupClosure

    public static enum HadoopCoGroupClosure.Spill

extends Enum<HadoopCoGroupClosure.Spill>

Enum Constant Summary
`Duration_Millis_Written`
`Num_Spills_Read`
`Num_Spills_Written`
`Num_Tuples_Spilled`

Method Summary
`static HadoopCoGroupClosure.Spill` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HadoopCoGroupClosure.Spill[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Num_Spills_Written

    public static final HadoopCoGroupClosure.Spill Num_Spills_Written

### Num_Spills_Read

    public static final HadoopCoGroupClosure.Spill Num_Spills_Read

### Num_Tuples_Spilled

    public static final HadoopCoGroupClosure.Spill Num_Tuples_Spilled

### Duration_Millis_Written

    public static final HadoopCoGroupClosure.Spill Duration_Millis_Written

Method Detail

### values

    public static HadoopCoGroupClosure.Spill[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HadoopCoGroupClosure.Spill c : HadoopCoGroupClosure.Spill.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HadoopCoGroupClosure.Spill valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.